[![Build Status](https://drone.deadbeef.codes/api/badges/steven/lineageos-ota-server/status.svg)](https://drone.deadbeef.codes/steven/lineageos-ota-server)

# lineageos-ota-server

OTA Server for LineageOS.  


### How to point device to OTA server

We include the URL as a system build.prop by doing the following:

Create new file /data/android/lineage/vendor/lineage/build/core/deadbeef-ota.mk

```makefile
# deadbeef.codes LineageOS OTA update server
ADDITIONAL_SYSTEM_PROPERTIES += \
        lineage.updater.uri=https://lineageos-ota.deadbeef.codes

```


Edit /data/android/lineage/vendor/lineage/build/core/main.mk to include deadbeef-ota.mk

```makefile

# Include LineageOS versions
include $(TOPDIR)vendor/lineage/build/core/main_version.mk

# Include deadbeef.codes OTA server
include $(TOPDIR)vendor/lineage/build/core/deadbeef-ota.mk

```